## org.eclipse.contribution.visualiser
Class VisualiserPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.contribution.visualiser.VisualiserPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

public class VisualiserPlugin
extends org.eclipse.ui.plugin.AbstractUIPlugin

The main plugin class for the Visualiser plugin.

Field Summary
`static int` `LOGLEVEL`
`static Menu` `menu`
`static java.lang.String` `PLUGIN_ID`
`static Visualiser` `visualiser`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`VisualiserPlugin()` 3.0 compatible Plugin constructor

Method Summary
`static org.eclipse.ui.IWorkbenchWindow` `getActiveWorkbenchWindow()` Gets the active workbench window
`static VisualiserPlugin` `getDefault()` Returns the shared instance as VisualiserPlugin is a singleton.
`static ProviderManager` `getProviderManager()` Getter method for the provider manager
`static org.eclipse.core.resources.IWorkspace` `getWorkspace()` Returns the workspace instance.
`static void` `log(int logLevel, java.lang.String message)` Log the given message at the given log level.
`static void` `logException(java.lang.Throwable e)` Write the given exception or error to the log file (without displaying a dialog)
`static void` `refresh()` Refresh the Visualiser views.
`void` `removeMenu()` Remove the Visualiser Menu view
`void` `removeVisualiser()` Remove the Visualiser view
`void` `setMenu(Menu menu)` Set the Visualiser Menu view
`void` `setVisualiser(Visualiser visualiser)` Set the Visualiser view
`void` `start(org.osgi.framework.BundleContext context)` This method is called upon plug-in activation - process any defined extensions and add the resource change listener.
`void` `stop(org.osgi.framework.BundleContext context)` This method is called when the plug-in is stopped

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### LOGLEVEL

    public static int LOGLEVEL

### visualiser

    public static Visualiser visualiser

### menu

    public static Menu menu

Constructor Detail

### VisualiserPlugin

    public VisualiserPlugin()

  3.0 compatible Plugin constructor

Method Detail

### getProviderManager

    public static ProviderManager getProviderManager()

  Getter method for the provider manager

  Returns:
    the provider manager

### refresh

    public static void refresh()

  Refresh the Visualiser views.

### getActiveWorkbenchWindow

    public static org.eclipse.ui.IWorkbenchWindow getActiveWorkbenchWindow()

  Gets the active workbench window

### getDefault

    public static VisualiserPlugin getDefault()

  Returns the shared instance as VisualiserPlugin is a singleton.

### getWorkspace

    public static org.eclipse.core.resources.IWorkspace getWorkspace()

  Returns the workspace instance.

### setVisualiser

    public void setVisualiser(Visualiser visualiser)

  Set the Visualiser view

### removeVisualiser

    public void removeVisualiser()

  Remove the Visualiser view

### setMenu

    public void setMenu(Menu menu)

  Set the Visualiser Menu view

### removeMenu

    public void removeMenu()

  Remove the Visualiser Menu view

### log

    public static void log(int logLevel,
                           java.lang.String message)

  Log the given message at the given log level.

  Parameters:
    `logLevel` -
    `message` -

### logException

    public static void logException(java.lang.Throwable e)

  Write the given exception or error to the log file (without displaying a dialog)

  Parameters:
    `e` -

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  This method is called upon plug-in activation - process any defined extensions and add the resource change listener.

  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  This method is called when the plug-in is stopped

  Throws:
    `java.lang.Exception`